package com.engine.custom.sl.entity;

import com.engine.custom.hg.service.TextDocFileService;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import java.io.StringWriter;
import java.lang.reflect.Field;
import java.util.LinkedHashMap;
import java.util.Map;

public class JourneyInfo {
    private String startDate;
    private String endDate;
    private String bsnTrpDays;
    private String jrnyPath;
    private String jrnyExpln;
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "JourneyInfo{" +
                "startDate='" + startDate + '\'' +
                ", endDate='" + endDate + '\'' +
                ", bsnTrpDays='" + bsnTrpDays + '\'' +
                ", jrnyPath='" + jrnyPath + '\'' +
                ", jrnyExpln='" + jrnyExpln + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getBsnTrpDays() {
        return bsnTrpDays;
    }

    public void setBsnTrpDays(String bsnTrpDays) {
        this.bsnTrpDays = bsnTrpDays;
    }

    public String getJrnyPath() {
        return jrnyPath;
    }

    public void setJrnyPath(String jrnyPath) {
        this.jrnyPath = jrnyPath;
    }

    public String getJrnyExpln() {
        return jrnyExpln;
    }

    public void setJrnyExpln(String jrnyExpln) {
        this.jrnyExpln = jrnyExpln;
    }








}
